Bug 107446 - After installing "kernel-smp-2.4.22-1.2093.nptl", only one processor is active on a PR440FX dual Pentium Pro system. See attached "dmesg" output.
After installing "kernel-smp-2.4.22-1.2093.nptl", only one processor is activ...
Status: CLOSED ERRATA
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
SMP kernel 2.4.22-1.2093 does not boo...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-18 07:31 EDT by Joachim Frieben
Modified: 2015-01-04 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-08 21:09:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
"dmesg" boot log for "kernel-smp-2.4.22-1.2093.nptl" (13.45 KB, text/plain)
2003-10-18 07:33 EDT, Joachim Frieben
no flags Details
"dmesg" boot log for "kernel-smp-2.4.22-1.2088.nptl" (14.65 KB, text/plain)
2003-10-23 14:39 EDT, Joachim Frieben
no flags Details
kernel-smp-2.4.22-1.2108.nptl-dmesg.output (14.38 KB, text/plain)
2003-10-27 02:09 EST, Philipp Hügelmeyer
no flags Details
"dmesg" boot log for "kernel-smp-2.4.22-1.2115.nptlcustom" (14.91 KB, text/plain)
2003-11-14 03:53 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2003-10-18 07:31:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031014

Description of problem:
See above.

Version-Release number of selected component (if applicable):
kernel-smp-2.4.22-1.2093.nptl

How reproducible:
Always

Steps to Reproduce:
1. Install "kernel-smp-2.4.22-1.2093.nptl" on a PR440FX dual Pentium Pro system.
2. Reboot system.
3. check system activity by means of "top" or "xosview"


Actual Results:  Only one processor is displayed.

Expected Results:  Both processors should be up.

Additional info:
Comment 1 Joachim Frieben 2003-10-18 07:33:31 EDT
Created attachment 95280 [details]
"dmesg" boot log for "kernel-smp-2.4.22-1.2093.nptl"
Comment 2 Joachim Frieben 2003-10-19 09:30:06 EDT
Same behaviour for "kernel-smp-2.4.22-1.2097.nptl" kernel package :(
Comment 3 Dave Jones 2003-10-19 11:14:40 EDT
What was the last kernel that worked for you ?
Comment 4 Joachim Frieben 2003-10-23 13:57:57 EDT
Well, the last version working normally was the direct precursor of the
"kernel-smp-2.4.22-1.2093.nptl" kernel package, which was
"kernel-smp-2.4.22-1.2087.nptl", I think.
Comment 5 Joachim Frieben 2003-10-23 14:33:02 EDT
Oops, finally it was rather "kernel-smp-2.4.22-1.2088.nptl". "dmesg" output follows.
Comment 6 Joachim Frieben 2003-10-23 14:39:35 EDT
Created attachment 95439 [details]
"dmesg" boot log for "kernel-smp-2.4.22-1.2088.nptl"
Comment 7 Dave Jones 2003-10-23 21:12:24 EDT
Does 2108 fare any better ?
Comment 8 Philipp Hügelmeyer 2003-10-27 02:09:09 EST
Created attachment 95503 [details]
kernel-smp-2.4.22-1.2108.nptl-dmesg.output

After installing kernel-smp-2.4.22-1.2108 ht sopped working on my 2,6 ghz
pentium 4 box. I think this is related to this bug, eventhough it worked up to
kernel-smp-2.4.22-1.2105.
Comment 9 Joachim Frieben 2003-10-27 02:43:14 EST
No, unfortunately, "kernel-smp-2.4.22-1.2108.nptl" behaves exactly as any SMP 
kernel later than "kernel-smp-2.4.22-1.2088.nptl" which means it does not boot 
the 2nd CPU.
Comment 10 Eric Jones 2003-10-27 11:51:31 EST
I am also running the 2108 kernel on a 3.06 GHz P4 box with hyper threading and
though the 2nd cpu is recognized, no processes get assigned to it and it sits
idle at 0% usage all the time.  Dmesg assigns both cpu's, starts the migration
threads, but just never runs any processes on the 2nd.
Comment 11 Dave Jones 2003-10-27 12:26:32 EST
#8 and #10 are different bugs to this report, please open new ones for those.
In the original report, the 2nd CPU wasn't detected at all. From the look of
your dmesg, your CPUs are being detected.
Comment 12 Joachim Frieben 2003-10-30 13:06:30 EST
"kernel-smp-2.4.22-1.2111.nptl" still only boots one CPU. "dmesg" output 
identical to previous versions.
Comment 13 Joachim Frieben 2003-11-05 10:10:43 EST
"kernel-smp-2.4.22-1.2115.nptl" still only boots one CPU.
Comment 14 Len Brown 2003-11-11 00:09:55 EST
Is it possible for you to answer these three things?: 
 
1. if you boot with "acpi=force" does that fair any better? 
     If it works, we know this is an MPS issue, rather than an SMP issue. 
     If it doesn't work it may or may not help us debug the problem, 
     depending on how it fails. 
 
2. If you re-build your kernel with the following line changed 
- #define APIC_DEBUG 0 
+ #define APIC_DEBUG 1 
in include/asm-i386/apic.h, the dmesg output may explain 
why we don't enable the 2nd processor. 
 
3. if you boot the latest 2.4.23 kernel with acpi=off, does it work? 
    (ie. did the latest baseline regress also, or did just Fedora regress?) 
 
thanks, 
-Len 
 
Comment 15 Joachim Frieben 2003-11-14 03:52:19 EST
I have performed step 1 and 2 of the suggestions made by Len:

1. Adding the kernel option "acpi=force" leads to a kernel panic while
the machine is booting.

2. The "dmesg" ouput for "APIC_DEBUG=1" is attached hereafter.

I will try step 3 once the final version 2.4.23 of the Linux kernel is
released. BTW, 2 years ago, I had reported a still pending issue
concerning APIC IRQ-routing in bug #55223 related to the INTEL PR440FX
platform.
Comment 16 Joachim Frieben 2003-11-14 03:53:41 EST
Created attachment 95965 [details]
"dmesg" boot log for "kernel-smp-2.4.22-1.2115.nptlcustom"
Comment 17 Joachim Frieben 2003-12-03 16:44:08 EST
"kernel-smp-2.4.22-1.2129.nptl" boots the 2nd CPU correctly. "dmesg"
output now essentially identical to that of version
"kernel-smp-2.4.22-1.2088.nptl" again. The original IRQ mapping which
had been corrupted by the later kernel versions has successfully been
reestablished!

Note You need to log in before you can comment on or make changes to this bug.